org.eclipse.mat.ui.editor

## Class MultiPaneEditor

- java.lang.Object
- - EditorPart
  - - org.eclipse.mat.ui.editor.MultiPaneEditor

Direct Known Subclasses:
  HeapEditor

    public class MultiPaneEditor
    extends EditorPart

### Field Summary

Fields
`static int` `PROP_ACTION_BAR`
`static int` `PROP_FOLDER_IMAGE`

### Constructor Summary

Constructors
Constructor and Description
`MultiPaneEditor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addNewPage(AbstractEditorPane pane, Object argument, String title, Image image)`
`void` `addNewPage(String id, Object argument)` Create and add a new pane to the folder.
`void` `addNewPage(String paneId, Object argument, boolean isSingelton)` Create and add a new pane if only if a pane with that id does not exist.
`void` `addNewPage(String paneId, Object argument, boolean isSingelton, boolean doFocus)` Create and add a new pane if only if a pane with that id does not exist.
`void` `addNewPage(String paneId, Object argument, boolean isSingelton, boolean doFocus, String title, Image image)`
`void` `bringPageToTop(PaneState state)`
`void` `closePage(PaneState state)`
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`void` `doSave(IProgressMonitor monitor)`
`void` `doSaveAs()`
`AbstractEditorPane` `getActiveEditor()`
`AbstractEditorPane` `getEditor(PaneState state)`
`NavigatorState` `getNavigatorState()`
`IEditorInput` `getPaneEditorInput()`
`IQueryContext` `getQueryContext()`
`File` `getResourceFile()`
`ToolBarManager` `getToolBarManager()`
`void` `init(IEditorSite site, IEditorInput input)`
`void` `initWithAnotherArgument(PaneState parent, PaneState child)`
`boolean` `isDirty()`
`boolean` `isDisposed()`
`boolean` `isSaveAsAllowed()`
`void` `resourceChanged(IResourceChangeEvent event)`
`void` `setFocus()`
`void` `updateToolbar()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_ACTION_BAR

    public static final int PROP_ACTION_BAR

See Also:
  Constant Field Values

#### PROP_FOLDER_IMAGE

    public static final int PROP_FOLDER_IMAGE

See Also:
  Constant Field Values

### Constructor Detail

#### MultiPaneEditor

    public MultiPaneEditor()

### Method Detail

#### createPartControl

    public final void createPartControl(Composite parent)

#### dispose

    public void dispose()

#### getPaneEditorInput

    public IEditorInput getPaneEditorInput()

#### addNewPage

    public void addNewPage(String paneId,
                           Object argument,
                           boolean isSingelton)

Create and add a new pane if only if a pane with that id does not exist.

#### addNewPage

    public void addNewPage(String paneId,
                           Object argument,
                           boolean isSingelton,
                           boolean doFocus)

Create and add a new pane if only if a pane with that id does not exist.

#### addNewPage

    public void addNewPage(String id,
                           Object argument)

Create and add a new pane to the folder.

#### addNewPage

    public void addNewPage(AbstractEditorPane pane,
                           Object argument,
                           String title,
                           Image image)

#### addNewPage

    public void addNewPage(String paneId,
                           Object argument,
                           boolean isSingelton,
                           boolean doFocus,
                           String title,
                           Image image)

#### init

    public void init(IEditorSite site,
                     IEditorInput input)
              throws PartInitException

Throws:
  `PartInitException`

#### getNavigatorState

    public NavigatorState getNavigatorState()

#### isDirty

    public boolean isDirty()

#### isSaveAsAllowed

    public boolean isSaveAsAllowed()

#### doSave

    public void doSave(IProgressMonitor monitor)

#### doSaveAs

    public void doSaveAs()

#### setFocus

    public void setFocus()

#### resourceChanged

    public void resourceChanged(IResourceChangeEvent event)

#### updateToolbar

    public void updateToolbar()

#### getToolBarManager

    public ToolBarManager getToolBarManager()

#### getActiveEditor

    public AbstractEditorPane getActiveEditor()

#### bringPageToTop

    public void bringPageToTop(PaneState state)

#### initWithAnotherArgument

    public void initWithAnotherArgument(PaneState parent,
                                        PaneState child)

#### closePage

    public void closePage(PaneState state)

#### getEditor

    public AbstractEditorPane getEditor(PaneState state)

#### isDisposed

    public boolean isDisposed()

#### getResourceFile

    public File getResourceFile()

#### getQueryContext

    public IQueryContext getQueryContext()